summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-servers/varnish/files/varnishd.initd')
-rwxr-xr-xwww-servers/varnish/files/varnishd.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/www-servers/varnish/files/varnishd.initd b/www-servers/varnish/files/varnishd.initd
new file mode 100755
index 000000000000..5316b5b9b50a
--- /dev/null
+++ b/www-servers/varnish/files/varnishd.initd
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-servers/varnish/files/varnishd.initd,v 1.1 2006/10/19 07:46:53 bangert Exp $
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting varnish"
+ start-stop-daemon --quiet --start --pidfile /var/run/varnishd.pid --exec /usr/bin/varnishd -- ${VARNISHD_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping varnish"
+ start-stop-daemon --quiet --stop --pidfile /var/run/varnishd.pid
+ eend $?
+}